Skip to content

Check if the domain name is available ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Check if the domain name is available to create a new application or update the application domain name

Method name ​

ManagementClient.check_domain_available

Request parameters ​

NameTypeIs it requiredDefault valueDescriptionSample value
domainstringyes-Domain namedomain-a

Request Response ​

Type: CheckDomainAvailableSecretRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckDomainAvailableDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "available": true
  }
}

Data Structure ​

CheckDomainAvailableDataDto ​

NameTypeIs it requiredDescriptionExample value
availablebooleanisavailabletrue